summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakub Moc <jakub@gentoo.org>2007-09-15 15:57:30 +0000
committerJakub Moc <jakub@gentoo.org>2007-09-15 15:57:30 +0000
commit0cf5498716708008ad8cb933da8dff99fadc1299 (patch)
treecfe98a32f2441020f27c503f04cd664e7a44c79f /www-apps
parentAdd captcha use flag for www-apps/phpmyfaq (diff)
downloadwebapps-experimental-0cf5498716708008ad8cb933da8dff99fadc1299.tar.gz
webapps-experimental-0cf5498716708008ad8cb933da8dff99fadc1299.tar.bz2
webapps-experimental-0cf5498716708008ad8cb933da8dff99fadc1299.zip
www-apps/webcalendar: New ebuild, Bug 143623
svn path=/experimental/; revision=644
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/webcalendar/ChangeLog8
-rw-r--r--www-apps/webcalendar/Manifest5
-rw-r--r--www-apps/webcalendar/files/postinstall-en.txt23
-rw-r--r--www-apps/webcalendar/metadata.xml5
-rw-r--r--www-apps/webcalendar/webcalendar-1.0.5.ebuild63
5 files changed, 104 insertions, 0 deletions
diff --git a/www-apps/webcalendar/ChangeLog b/www-apps/webcalendar/ChangeLog
new file mode 100644
index 0000000..9c9dd39
--- /dev/null
+++ b/www-apps/webcalendar/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for www-apps/webcalendar
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 15 Sep 2007; Jakub Moc <jakub@gentoo.org> +files/postinstall-en.txt,
+ +metadata.xml, +webcalendar-1.0.5.ebuild:
+ New ebuild, Bug 143623
+
diff --git a/www-apps/webcalendar/Manifest b/www-apps/webcalendar/Manifest
new file mode 100644
index 0000000..683cb83
--- /dev/null
+++ b/www-apps/webcalendar/Manifest
@@ -0,0 +1,5 @@
+AUX postinstall-en.txt 745 RMD160 09d28adae14e49599ed9fef5c67f8ff095925d82 SHA1 cb4be3d69127eb4e04e666073cb834f44acfab66 SHA256 5c73ddbb4b3c70a4c004f31e519cb6e7fc13dfd7bbbfa7258f93116b9f8f426a
+DIST WebCalendar-1.0.5.tar.gz 890163 RMD160 451991d1236757f1dbb7f42779ad49c35a87c8b3 SHA1 f4bf3c0026cad2a8d28c7be170211e2535820304 SHA256 0a7649a23025b40f8d3bf2d6433c4902d468c38bc553c2e206313471dc889ca4
+EBUILD webcalendar-1.0.5.ebuild 1816 RMD160 1d36224219c9b77ceb6e3796b4b8a6c2e486b852 SHA1 4e26cf6d1c57b237eefefa1be02545502e090bc7 SHA256 9c7393f6d6bc8b0995aba73efd3d0ff809569293db847dd133d4207a82abdc02
+MISC ChangeLog 262 RMD160 326db4b58cfdbda545e1a950318115f6dac539cd SHA1 7d7bc179a320a38fe9f91bfae915e1caa1993b70 SHA256 954688927c153124ba03c04ace45fef70ca6bd983208eeb7f78d6828a475de8a
+MISC metadata.xml 162 RMD160 0b015f5ff17c4d8e7aee826d48b326cc19b1fed4 SHA1 671b30dafbea01228c8bb606af451a0795922840 SHA256 84ff2fc6c9a4af1b9dbe32aa81ab84c2958bc1bd65a9977686df2dcab6e420d0
diff --git a/www-apps/webcalendar/files/postinstall-en.txt b/www-apps/webcalendar/files/postinstall-en.txt
new file mode 100644
index 0000000..f7e0a45
--- /dev/null
+++ b/www-apps/webcalendar/files/postinstall-en.txt
@@ -0,0 +1,23 @@
+0. Automated install
+
+Browse to http://${VHOST_HOSTNAME}/${VHOST_APPDIR}/install/index.php
+and follow the instructions.
+
+1. Manual DB setup
+
+If you are using a database that is not fully supported by the installer,
+you have to create the database manually. For instructions, see
+
+http://webcalendar.cvs.sourceforge.net/*checkout*/webcalendar/webcalendar/docs/WebCalendar-SysAdmin.html#appendixB
+
+2. Reminders
+
+For using the reminders functionality, you need to be allowed to use cron.
+For detailed instructions, see
+
+http://webcalendar.cvs.sourceforge.net/*checkout*/webcalendar/webcalendar/docs/WebCalendar-SysAdmin.html#reminders
+
+3. Extra tools
+
+Most of the other tools require perl. See README in /usr/share/doc/${PF}
+for their description.
diff --git a/www-apps/webcalendar/metadata.xml b/www-apps/webcalendar/metadata.xml
new file mode 100644
index 0000000..6632069
--- /dev/null
+++ b/www-apps/webcalendar/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>web-apps</herd>
+</pkgmetadata>
diff --git a/www-apps/webcalendar/webcalendar-1.0.5.ebuild b/www-apps/webcalendar/webcalendar-1.0.5.ebuild
new file mode 100644
index 0000000..b5b6af4
--- /dev/null
+++ b/www-apps/webcalendar/webcalendar-1.0.5.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit webapp depend.php
+
+DESCRIPTION="A PHP-based calendar application"
+HOMEPAGE="http://webcalendar.sourceforge.net"
+
+MY_PN=WebCalendar
+MY_P=${MY_PN}-${PV}
+
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+LICENSE="GPL-2"
+KEYWORDS="~x86"
+IUSE="gradient ldap reminders"
+
+RDEPEND="virtual/httpd-php
+ virtual/httpd-cgi
+ reminders? ( virtual/cron )"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup () {
+ dbflags="db2 firebird interbase mssql mysql mysqli oci8 odbc postgres sqlite"
+ if ! PHPCHECKNODIE="yes" require_php_with_any_use ${dbflags} || \
+ ! PHPCHECKNODIE="yes" require_php_with_use session || \
+ ( use gradient && ! PHPCHECKNODIE="yes" require_php_with_any_use gd gd-external ) || \
+ ( use ldap && ! PHPCHECKNODIE="yes" require_php_with_use ldap ) ; then
+ eerror
+ eerror "You need PHP with session and at least one of the following USE flags enabled:"
+ eerror "${dbflags}"
+ use gradient && eerror "and with either gd or gd-external USE flag enabled"
+ use ldap && eerror "and also with ldap USE flag enabled"
+ eerror
+ die "Re-install ${PHP_PKG} with the above USE flags enabled."
+ fi
+
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ local docs="AUTHORS NEWS docs/README"
+ dodoc ${docs}
+ dohtml README.html
+ dohtml -r docs/
+ rm -f ${docs} ${GPL,UPGRADING}.html tools/summary.txt tools/upgrade*.pl
+
+ use reminders && sed -i -e 's:/local::' tools/send_reminders.php
+
+ cp -R * ${D}/${MY_HTDOCSDIR}
+
+ webapp_serverowned ${MY_HTDOCSDIR}/includes
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+ for i in includes/user*.php ; do
+ webapp_serverowned ${MY_HTDOCSDIR}/includes/${i}
+ webapp_configfile ${MY_HTDOCSDIR}/includes/${i}
+ done
+
+ webapp_src_install
+}